package com.hai.common.pay.entity;

public enum OrderType {
    // 建议将支付频率高的模块放在前面
    GOODS_ORDER("GOODS_ORDER", "goodsOrderService", "购买商品"),
    GOLD("GOLD", "", "金币充值"),
    TEST("TEST", "testPayService", "支付测试")
    ;

    private String moduleCode;
    private String service;
    private String moduleName;

    private OrderType(String moduleCode, String service, String moduleName) {
        this.moduleCode = moduleCode;
        this.service = service;
        this.moduleName = moduleName;
    }

    public String getModuleCode() {
        return moduleCode;
    }

    private void setModuleCode(String moduleCode) {
        this.moduleCode = moduleCode;
    }

    public String getService() {
        return service;
    }

    private void setService(String service) {
        this.service = service;
    }

    public String getModuleName() {
        return moduleName;
    }

    private void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }
}
